#! /usr/bin/env sh

# Exit in case of error
set -e

DOMAIN=${DOMAIN?Variable not set} \
TRAEFIK_TAG=${TRAEFIK_TAG?Variable not set} \
STACK_NAME=${STACK_NAME?Variable not set} \
TAG=${TAG?Variable not set} \
docker-compose \
-f cloud-docker-compose.yml \
-f cloud-docker-compose.override.yml \
config > cloud-docker-stack.yml

docker-auto-labels cloud-docker-stack.yml

# docker stack deploy -c cloud-docker-stack.yml --with-registry-auth "${STACK_NAME?Variable not set}"
